Bug 1124607 - Systems product tab is displayed even if you do not have permission to view the contents of the page
Summary: Systems product tab is displayed even if you do not have permission to view t...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1115633
TreeView+ depends on / blocked
 
Reported: 2014-07-29 22:04 UTC by Walden Raines
Modified: 2016-04-22 15:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:23:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6827 None None None 2016-04-22 15:41:52 UTC

Description Walden Raines 2014-07-29 22:04:43 UTC
Steps:
1. Create a non-admin user
2. Give them the "view_content_hosts" permission
3. Go to Hosts -> Content Hosts -> choose a Content Host -> product content
4. The page kept on loading...

Comment 1 Walden Raines 2014-07-29 22:04:44 UTC
Created from redmine issue http://projects.theforeman.org/issues/6827

Comment 2 Walden Raines 2014-07-29 22:04:46 UTC
Upstream bug assigned to walden@redhat.com

Comment 4 Walden Raines 2014-07-29 22:19:30 UTC
PR: https://github.com/Katello/katello/pull/4500

Comment 5 Bryan Kearney 2014-07-30 16:06:36 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6827 has been closed
-------------
Walden Raines
Applied in changeset commit:katello|1eec91875b0e6bf6686202422e6f0ffeb333ecd8.

Comment 8 sthirugn@redhat.com 2014-08-11 14:50:29 UTC
Verified. The product content tab is now hidden for a user with permission - view_content_hosts.

Version Tested:
GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.38-1.el6sat.noarch
* foreman-compute-1.6.0.38-1.el6sat.noarch
* foreman-gce-1.6.0.38-1.el6sat.noarch
* foreman-libvirt-1.6.0.38-1.el6sat.noarch
* foreman-ovirt-1.6.0.38-1.el6sat.noarch
* foreman-postgresql-1.6.0.38-1.el6sat.noarch
* foreman-proxy-1.6.0.23-1.el6sat.noarch
* foreman-selinux-1.6.0.4-1.el6sat.noarch
* foreman-vmware-1.6.0.38-1.el6sat.noarch
* katello-1.5.0-28.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.57-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* sssd-ldap-1.11.5.1-3.el6.x86_64

Comment 9 Bryan Kearney 2014-09-11 12:23:23 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.